Set domain configuration
curl --request POST \
--url https://api.daily.co/v1/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"enable_advanced_chat": false,
"enable_people_ui": true,
"enable_cpu_warning_notifications": true,
"enable_pip_ui": false,
"enable_emoji_reactions": false,
"enable_hand_raising": false,
"enable_prejoin_ui": true,
"enable_breakout_rooms": false,
"enable_live_captions_ui": false,
"enable_network_ui": false,
"enable_noise_cancellation_ui": true,
"enable_video_processing_ui": true,
"hide_daily_branding": false,
"redirect_on_meeting_exit": "<string>",
"hipaa": false,
"intercom_auto_record": true,
"lang": "en",
"meeting_join_hook": "NULL",
"geo": "NULL",
"rtmp_geo": "The closest available region to the SFU region used by the meeting.",
"disable_rtmp_geo_fallback": false,
"enable_terse_logging": false,
"enable_transcription_storage": false,
"transcription_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": true
},
"recordings_template": "{domain_name}/{room_name}/{epoch_time}.",
"transcription_template": "{domain_name}/{room_name}/{epoch_time}.vtt.",
"enable_mesh_sfu": true,
"sfu_switchover": 0.5,
"enable_adaptive_simulcast": true,
"enable_multiparty_adaptive_simulcast": false,
"enforce_unique_user_ids": false,
"recordings_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": true,
"allow_streaming_from_bucket": true
},
"permissions": "{ canSend: true, canReceive: { base: true }, hasPresence: true, canAdmin: false }",
"batch_processor_bucket": {},
"enable_opus_fec": true,
"pinless_dialin": [
{
"phone_number": "<string>",
"room_creation_api": "<string>",
"name_prefix": "<string>",
"sip_uri": "<string>",
"hold_music_url": "<string>",
"timeout_config": {
"message": "<string>"
}
}
],
"pin_dialin": [
{
"phone_number": "<string>",
"name_prefix": "<string>",
"ivr_greeting": {
"message": "<string>"
}
}
]
}
}
'import requests
url = "https://api.daily.co/v1/"
payload = { "properties": {
"enable_advanced_chat": False,
"enable_people_ui": True,
"enable_cpu_warning_notifications": True,
"enable_pip_ui": False,
"enable_emoji_reactions": False,
"enable_hand_raising": False,
"enable_prejoin_ui": True,
"enable_breakout_rooms": False,
"enable_live_captions_ui": False,
"enable_network_ui": False,
"enable_noise_cancellation_ui": True,
"enable_video_processing_ui": True,
"hide_daily_branding": False,
"redirect_on_meeting_exit": "<string>",
"hipaa": False,
"intercom_auto_record": True,
"lang": "en",
"meeting_join_hook": "NULL",
"geo": "NULL",
"rtmp_geo": "The closest available region to the SFU region used by the meeting.",
"disable_rtmp_geo_fallback": False,
"enable_terse_logging": False,
"enable_transcription_storage": False,
"transcription_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": True
},
"recordings_template": "{domain_name}/{room_name}/{epoch_time}.",
"transcription_template": "{domain_name}/{room_name}/{epoch_time}.vtt.",
"enable_mesh_sfu": True,
"sfu_switchover": 0.5,
"enable_adaptive_simulcast": True,
"enable_multiparty_adaptive_simulcast": False,
"enforce_unique_user_ids": False,
"recordings_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": True,
"allow_streaming_from_bucket": True
},
"permissions": "{ canSend: true, canReceive: { base: true }, hasPresence: true, canAdmin: false }",
"batch_processor_bucket": {},
"enable_opus_fec": True,
"pinless_dialin": [
{
"phone_number": "<string>",
"room_creation_api": "<string>",
"name_prefix": "<string>",
"sip_uri": "<string>",
"hold_music_url": "<string>",
"timeout_config": { "message": "<string>" }
}
],
"pin_dialin": [
{
"phone_number": "<string>",
"name_prefix": "<string>",
"ivr_greeting": { "message": "<string>" }
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {
enable_advanced_chat: false,
enable_people_ui: true,
enable_cpu_warning_notifications: true,
enable_pip_ui: false,
enable_emoji_reactions: false,
enable_hand_raising: false,
enable_prejoin_ui: true,
enable_breakout_rooms: false,
enable_live_captions_ui: false,
enable_network_ui: false,
enable_noise_cancellation_ui: true,
enable_video_processing_ui: true,
hide_daily_branding: false,
redirect_on_meeting_exit: '<string>',
hipaa: false,
intercom_auto_record: true,
lang: 'en',
meeting_join_hook: 'NULL',
geo: 'NULL',
rtmp_geo: 'The closest available region to the SFU region used by the meeting.',
disable_rtmp_geo_fallback: false,
enable_terse_logging: false,
enable_transcription_storage: false,
transcription_bucket: {
bucket_name: 'my-daily-recording',
bucket_region: 'ap-south-1',
assume_role_arn: 'arn:aws:iam::555555555555:role/DailyS3AccessRole',
allow_api_access: true
},
recordings_template: '{domain_name}/{room_name}/{epoch_time}.',
transcription_template: '{domain_name}/{room_name}/{epoch_time}.vtt.',
enable_mesh_sfu: true,
sfu_switchover: 0.5,
enable_adaptive_simulcast: true,
enable_multiparty_adaptive_simulcast: false,
enforce_unique_user_ids: false,
recordings_bucket: {
bucket_name: 'my-daily-recording',
bucket_region: 'ap-south-1',
assume_role_arn: 'arn:aws:iam::555555555555:role/DailyS3AccessRole',
allow_api_access: true,
allow_streaming_from_bucket: true
},
permissions: '{ canSend: true, canReceive: { base: true }, hasPresence: true, canAdmin: false }',
batch_processor_bucket: {},
enable_opus_fec: true,
pinless_dialin: [
{
phone_number: '<string>',
room_creation_api: '<string>',
name_prefix: '<string>',
sip_uri: '<string>',
hold_music_url: '<string>',
timeout_config: {message: '<string>'}
}
],
pin_dialin: [
{
phone_number: '<string>',
name_prefix: '<string>',
ivr_greeting: {message: '<string>'}
}
]
}
})
};
fetch('https://api.daily.co/v1/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain_name": "your-domain",
"config": {
"hide_daily_branding": false,
"hipaa": false,
"intercom_auto_record": false,
"lang": "es"
}
}Domain
Set Domain Config
Set top-level configuration options for your domain
POST
/
Set domain configuration
⌘I